﻿/* DEFAULTS
----------------------------------------------------------*/

html {
}

body {
    background: #eee;
    font-size: 0.9em;
    font-family: sans-serif;
    margin: 0px;
    padding: 0px;
    color: #031;
}

a {
    color: black;
}

    a:link, a:visited {
        /*color: #034af3;*/
        color: black;
    }

    a:hover {
        color: #1d60ff;
        text-decoration: none;
    }

    a:active {
        color: #034af3;
    }

p {
    margin-bottom: 10px;
    line-height: 1.6em;
}


/* HEADINGS   
----------------------------------------------------------*/

h1, h2, h3, h4, h5, h6 {
    font-size: 1.5em;
    color: #123;
    font-variant: small-caps;
    text-transform: none;
    font-weight: 200;
    margin-bottom: 0px;
}

h1 {
    font-size: 1.6em;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

h2 {
    font-size: 1.5em;
    font-weight: 600;
    margin-bottom: 1em;
    /*color: #553;*/
    background-color: #555;
    color: white;
    width: 400px;
    padding: 16px;
    margin-top: 0;
    border-radius: 10px;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

/* this rule styles <h1> and <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2 {
    margin-top: 0px;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.page {
    background-color: #ddd;
    margin: 5px;
    border: 0px solid #357;
    border-radius: 10px;
    min-height: 900px;
}

.header {
    position: relative;
    margin: 0px;
    padding: 1px 0px;
    background: #aaa;
    width: 100%;
    border-radius: 10px;
}

    .header h1 {
        font-weight: 700;
        margin: 0px;
        padding: 0px 0px 0px 20px;
        color: #eee;
        border: none;
        line-height: 2em;
        font-size: 2em;
    }

.main {
    padding: 0px;
    margin: 8px;
    min-height: 00px;
}

#acceso {
    /* background: url('../resources/img/fondos/fondo02.jpg') center center no-repeat;
	*/
    min-height: 800px;
    padding: 2em 3em 1em 3em;
    border-radius: 10px;
}

#acceso2 {
    margin-left: 30%;
    background-color: white;
    width: 30em;
    opacity: .8;
    z-index: -10000;
    padding: 1em 3em;
    border-radius: 10px;
}


    #acceso2 * {
        font-weight: bold;
    }

.leftCol {
    padding: 6px 0px;
    margin: 12px 8px 8px 8px;
    width: 200px;
    min-height: 200px;
}

.footer {
    color: #4e5766;
    padding: 8px 0px 0px 0px;
    margin: 0px auto;
    text-align: center;
    line-height: normal;
}


/* TAB MENU   
----------------------------------------------------------*/

div.hideSkiplink {
    background-color: #777;
    width: 100%;
}


div.menu {
    padding: 0px;
}

    div.menu ul {
        list-style: none;
        margin: 0px;
        padding: 0px;
        width: auto;
    }

        div.menu ul li a, div.menu ul li a:visited {
            background-color: #333;
            border: 1px #553 solid;
            color: white;
            font-weight: bold;
            display: block;
            line-height: 1.35em;
            padding: 4px 20px;
            text-decoration: none;
            white-space: nowrap;
        }

            div.menu ul li a:hover {
                background-color: #bbb;
                color: #553;
                text-decoration: none;
            }

            div.menu ul li a:active {
                background-color: #ccc;
                color: #331;
                text-decoration: none;
            }

/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset {
    margin: .5em 1em;
    padding: 0 .5em 1em .5em;
    border: 0px solid #eee;
    background-color: white;
    border-radius: 10px;
}

    fieldset p {
        margin: 2px 12px 10px 10px;
    }

    fieldset.login label, fieldset.register label, fieldset.changePassword label {
        display: block;
    }

    fieldset label.inline {
        display: inline;
    }

legend {
    font-size: 1.1em;
    font-weight: 600;
    padding: .3em 1em;
    border-radius: 10px;
    background-color: #ccc;
    margin-bottom: 1em;
}

input.textEntry {
    width: 320px;
    border: 1px solid #ccc;
}

input.passwordEntry {
    width: 320px;
    border: 1px solid #ccc;
}

div.accountInfo {
    width: 42%;
}

/* MISC  
----------------------------------------------------------*/

.clear {
    clear: both;
}

.title {
    display: block;
    float: left;
    background: url('../resources/logomf_2023.jpg') top left no-repeat;
    background-size: 612px;
    height: 68px;
    padding-left: 612px;
    margin: 1px 0 1px 12px;
}

.loginDisplay {
    font-size: 1em;
    display: block;
    text-align: right;
    padding: 3px 10px;
    color: White;
}

    .loginDisplay a:link {
        color: white;
    }

    .loginDisplay a:visited {
        color: white;
    }

    .loginDisplay a:hover {
        color: white;
    }

.failureNotification {
    font-size: 1.2em;
    color: Red;
}

.bold {
    font-weight: bold;
}

.submitButton {
    text-align: right;
    padding-right: 10px;
}



/* * * * * * * * * * * * * */

.numero,
.pk,
.fecha,
.hora {
    text-align: right;
}


input, select, textarea {
    margin: .1em 0;
    background-color: #fff;
    border: 1px solid #bbb;
    color: #040;
}

    input[type=image],
    input[type=checkbox] {
        margin: 0;
        background-color: inherit;
        border: 0;
    }

textarea {
    width: 35em;
    height: 5em;
}

input.pk {
    width: 4.5em;
}

input.fecha {
    width: 5.5em;
}

input.hora {
    width: 3em;
}

input.numero {
    width: 6em;
}

input[type=checkbox] {
    margin-left: 1em;
}

input[disabled],
select[disabled],
textarea[disabled] {
    background-color: White;
    border: 1px dotted #ccc;
    color: Black;
}



.boton, .boton img {
    border: 0;
}

.id {
    color: White;
}

.botones {
    text-align: right;
    border-top: 1px solid gray;
    margin-top: 1em;
    padding-top: 1em;
}

.etq {
    width: 11em;
    text-align: right;
    display: block;
    float: left;
    margin-right: .5em;
}

.listaTabla th {
    background-color: #bbb;
    color: #220;
    padding: .1em .2em;
}

    .listaTabla th a {
        color: #220;
        text-decoration: none;
    }

.listaTabla td {
    padding: .1em .5em;
}

.asc {
    background-color: Red
}

.desc {
    background-color: Green
}

.fieldHeader {
    font-weight: bold;
}

.impar {
    background-color: #ddd;
}

/*****   ILUMINACION   *****/
.nuevo, .volver {
    padding-left: 20px;
    background-image: url('../iluminacion/icon/new.png');
    background-position: center left;
    background-repeat: no-repeat;
}

.volver {
    background-image: url('../iluminacion/icon/back.png');
}
/*****/

.error {
    color: White;
    background-color: #fa0;
    font-weight: bolder;
    padding: 0 .5em;
}

.errorResumen {
    background-color: #fdb;
    padding: 1em;
    border: 0px solid #553;
    color: #553;
    background-image: url('../resources/icons/exclamation.png');
    background-position: 98% .7em;
    background-repeat: no-repeat;
    width: 30em;
    border-radius: 10px;
}

    .errorResumen ul {
        list-style: none;
        margin: 1.5em 0 0 0;
        padding: 0;
    }

#finSesion {
    text-align: center;
    padding-top: 3em;
    margin: 2em;
    border: 10px dotted #ddd;
    font-size: 2em;
}

.nolines {
    border: 2px solid #ccc;
    margin: 1em 0;
}

    .nolines td {
        border: 0;
        text-transform: uppercase;
        padding: 0 .2em;
    }

.info {
    border: 0;
    background: white;
    color: #888;
}


#buscador {
    margin: 1em 0;
}

    #buscador select {
        margin-right: 1em;
    }

.oculto {
    display: none;
}

caption {
    font-size: 1em;
    font-weight: 600;
    text-align: left;
    margin-top: 1em;
    text-indent: 1em;
    color: #331;
}

.admin {
    border: 1px dotted red;
}

#stamp {
    display: none;
}

.mayus {
    text-transform: uppercase;
}

#leyenda {
    font-size: .8em;
    font-style: oblique;
}




#cabeceraInforme {
    display: none;
}

.anchoCorto {
    width: 10em;
}

.anchoLargo {
    width: 20em;
}

textarea.anchoLargo {
    width: 30em;
}

.numerico {
    text-align: right;
    width: 6em;
}


table.tablaBordes caption {
    color: #331;
}

table.tablaBordes {
    border: 0px solid #331;
}

    table.tablaBordes tr {
        border: 0px solid #775
    }

#aecom {
    float: right;
    font-size: .7em;
    color: #553;
    padding: 0 5px;
}

div#MenuUsr {
    cursor: pointer;
}

    div#MenuUsr ul li:last-child a {
        color: Orange;
    }

        div#MenuUsr ul li:last-child a:hover {
            color: Red;
        }

    div#MenuUsr ul ul li:last-child a {
        color: white;
    }

        div#MenuUsr ul ul li:last-child a:hover {
            color: #775;
        }

    div#MenuUsr * {
        z-index: 1003;
    }

div#menuAdmin * {
    cursor: pointer;
    z-index: 1002;
}

div#menuSuperAdmin * {
    cursor: pointer;
    z-index: 1001;
}

div#menuAdmin * {
    z-index: 1;
    background-color: #777;
    color: Orange;
}

div#menuSuperAdmin * {
    z-index: 0;
}

div#menuAdmin ul li a:hover {
    background-color: #888;
    color: #775;
    text-decoration: none;
}

div#menuAdmin ul li a:active {
    background-color: #ccc;
    color: Orange;
    text-decoration: none;
}

.excel {
    background: url('../resources/icons/excel4.png') center left no-repeat;
    padding: 0 0 0 18px;
}




/** HOME **/
/*
fieldset#AvisosAEMET {display: inline-block; padding: .2em 1em;}
fieldset#AvisosAEMET table
{
    display: inline-block;
    border-collapse: collapse;
    background-color: #ddd;
}

#AvisosAEMET table tbody tr td {
    border: 0px solid white;
}

fieldset#AvisosAEMET table + table {margin-left: 1em;}
fieldset#AvisosAEMET table caption {margin: 0; text-align:center; background-color: #fff;}

fieldset#AvisosAEMET {display: inline-block; padding: .2em 1em;}
fieldset#AvisosAEMET > a {float: right;}
*/


table tr th a {
    float: none;
    text-align: center
}

span.nivel {
    border: 1px solid black;
    padding: .1em .3em;
    font-weight: bold;
    text-align: center;
}


#notifier {
    float: right;
    color: white;
    background-color: white;
    color: #d51;
    padding-left: 1em;
}


div#notifier a {
    text-decoration: none;
}

#notifier a span#alertasUsuario {
    font-size: 1.2em;
    text-decoration: blink;
    padding: 0 .5em;
    background-color: White;
    color: #d51;
}


#fvUltimoAvisoRemitido {
    float: right;
    color: #d51;
    clear: both
}


.noDisplay {
    display: none;
}

/******************************************/


div.content {
    float: left;
    width: content;
    padding: 1em;
    margin-bottom: 1em;
    min-height: 500px;
    border-radius: 10px;
    background-color: #f1f1f1;
}

.sidebar {
    float: left;
    margin-right: 2em;
    margin-bottom: 2em;
    padding: 0;
    width: 200px;
    background-color: #f1f1f1;
    min-height: 300px;
    color: #d51;
    overflow: auto;
    border-radius: 10px;
}

    .sidebar a {
        display: block;
        color: black;
        padding: 16px;
        text-decoration: none;
    }

        .sidebar a.active {
            background-color: #555;
            color: white;
        }

        .sidebar a.fixed {
            background-color: #ddd;
            color: #d51;
        }

        .sidebar a:hover:not(.active) {
            background-color: #ddd;
            color: #d51;
        }

/****************/
/*** Gráficos ***/
/****************/

div.graf {
    display: block;
    margin-bottom: 1em;
}

    div.graf canvas {
        min-width: 200px;
        max-width: 30%;
        min-height: 150px;
        display: block;
        float: left;
        margin-left: 1em;
        cursor: pointer;
    }

    div.graf + hr {
        clear: both;
        color: blue;
        border: 1px solid #ccc;
    }
